Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geom.util
Class AffineTransformationBuilder

    java.lang.Object
      com.vividsolutions.jts.geom.util.AffineTransformationBuilder

    public class AffineTransformationBuilder

extends java.lang.Object

Builds an `AffineTransformation` defined by a set of control vectors. A control vector consists of a source point and a destination point, which is the image of the source point under the desired transformation.

A transformation is well-defined by a set of three control vectors if and only if the source points are not collinear. (In particular, the degenerate situation where two or more source points are identical will not produce a well-defined transformation). A well-defined transformation exists and is unique. If the control vectors are not well-defined, the system of equations defining the transformation matrix entries is not solvable, and no transformation can be determined.

No such restriction applies to the destination points. However, if the destination points are collinear or non-unique, a non-invertible transformations will be generated.

This technique of recovering a transformation from its effect on known points is used in the Bilinear Interpolated Triangulation algorithm for warping planar surfaces.

Author:
  Martin Davis

Constructor Summary
`AffineTransformationBuilder(Coordinate src0, Coordinate src1, Coordinate src2, Coordinate dest0, Coordinate dest1, Coordinate dest2)` Constructs a new builder for the transformation defined by the given set of control point mappings.

Method Summary
`AffineTransformation` | `getTransformation()` Computes the `AffineTransformation` determined by the control point mappings, or `null` if the control vectors do not determine a well-defined transformation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AffineTransformationBuilder

    public AffineTransformationBuilder(Coordinate src0,
                                       Coordinate src1,
                                       Coordinate src2,
                                       Coordinate dest0,
                                       Coordinate dest1,
                                       Coordinate dest2)

  Constructs a new builder for the transformation defined by the given set of control point mappings.

  Parameters:
    `src0` - a control point
    `src1` - a control point
    `src2` - a control point
    `dest0` - the image of control point 0 under the required transformation
    `dest1` - the image of control point 1 under the required transformation
    `dest2` - the image of control point 2 under the required transformation

Method Detail

### getTransformation

    public AffineTransformation getTransformation()

  Computes the `AffineTransformation` determined by the control point mappings, or `null` if the control vectors do not determine a well-defined transformation.

  Returns:
    an affine transformation

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD